## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celGenericParameterBlock Member List

This is the complete list of members for celGenericParameterBlock, including all inherited members.

celGenericParameterBlock(size_t count) | celGenericParameterBlock | `[inline]`
GetParameter(size_t idx) | celGenericParameterBlock | `[inline]`
GetParameter(size_t idx, csStringID &id, celDataType &t) const | celGenericParameterBlock | `[inline, virtual]`
GetParameter(csStringID id) const | celGenericParameterBlock | `[inline, virtual]`
GetParameterByIndex(size_t idx) const | celGenericParameterBlock | `[inline, virtual]`
GetParameterCount() const | celGenericParameterBlock | `[inline, virtual]`
SCF_DECLARE_IBASE | celGenericParameterBlock |
SetParameterDef(size_t idx, csStringID id, const char *parname) | celGenericParameterBlock | `[inline]`
~celGenericParameterBlock() | celGenericParameterBlock | `[inline, virtual]`